# Overtime V2 live markets (protected)

## REST API <a href="#rest-api" id="rest-api"></a>

<mark style="color:green;">`GET`</mark>  `https://api.overtime.io/overtime-v2/live-markets`

See the live markets API endpoint with request/response examples under [Postman documentation](https://documenter.getpostman.com/view/1435701/2sA3XY5Hao#3a10551c-7281-432d-9bbe-dcfc399490a1).

All requests to this route must include a valid API key for authentication. The API key should be provided in the request header as `x-api-key`.

{% hint style="info" %}
Access to the Overtime API is restricted and requires an approved API key.\
\
API keys are issued only to teams or organizations that can clearly demonstrate how their intended use of the API delivers meaningful value to Overtime, its users, or its ecosystem. Requests must include a concrete description of the proposed use case, scope, and anticipated impact.\
\
**The Overtime API is not intended for experimental, hobbyist, or small personal projects. Requests that do not meet these criteria will not be approved.**
{% endhint %}

<https://api.overtime.io/overtime-v2/networks/10/live-markets>

### Example Response

{% tabs %}
{% tab title="200 OK" %}

```json
{
  "markets": [
    {
      "gameId": "0x6636646334303563663864396330373365626166363237633239373432653430",
      "sport": "Soccer",
      "leagueId": 19,
      "leagueName": "J1 League",
      "subLeagueId": 19,
      "typeId": 0,
      "type": "winner",
      "maturity": 1717221600,
      "maturityDate": "2024-06-01T06:00:00.000Z",
      "homeTeam": "Machida Zelvia",
      "awayTeam": "Albirex Niigata",
      "homeScore": 3,
      "awayScore": 2,
      "gameClock": 82,
      "gamePeriod": "2H",
      "finalResult": 0,
      "status": 0,
      "isOpen": true,
      "isResolved": false,
      "isCanceled": false,
      "isPaused": false,
      "isOneSideMarket": false,
      "line": 0,
      "isPlayerPropsMarket": false,
      "isOneSidePlayerPropsMarket": false,
      "isYesNoPlayerPropsMarket": false,
      "playerProps": {
        "playerId": 0,
        "playerName": ""
      },
      "combinedPositions": [
        [],
        [],
        []
      ],
      "odds": [
        {
          "american": 0,
          "decimal": 0,
          "normalizedImplied": 0
        },
        {
          "american": 0,
          "decimal": 0,
          "normalizedImplied": 0
        },
        {
          "american": 0,
          "decimal": 0,
          "normalizedImplied": 0
        }
      ],
      "proof": [
        "0xda99ce905965676e20806b901cca63dae78213261ed45921cf6f39bbb4b85c24",
        "0xb1ff121b809fafe4d2f775923ac3bcf2de9ce2db206e5a7472357269f47a18d5",
        "0xe62418bfc7d98a561aaa89e838cd1c2c60b8f1c6502588a7d61002eb648d3390"
      ],
      "childMarkets": [],
      "statusCode": "open"
    }
  ],
  "errors": []
}
```

{% endtab %}
{% endtabs %}

### Response Parameters <a href="#response-parameters" id="response-parameters"></a>

<table><thead><tr><th width="146">Name</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td>markets</td><td><a href="/pages/7KFVAdCVy8Yuhc22tEuJ#response-parameters">Market</a>[]</td><td>Available live markets</td></tr><tr><td>errors</td><td>string[]</td><td>Errors that occurred during live markets fetching, if any</td></tr></tbody></table>

#### Additional live market parameters <a href="#response-parameters" id="response-parameters"></a>

<table><thead><tr><th width="146">Name</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td>homeScore</td><td>number</td><td>Home team score</td></tr><tr><td>awayScore</td><td>number</td><td>Away team score</td></tr><tr><td>gameClock</td><td>number</td><td>Current time in the game</td></tr><tr><td>gamePeriod</td><td>string</td><td>Current game period</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overtime.io/overtime-v2-integration/overtime-v2-live-markets-protected.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
